Get Subscription

Get Subscription
Retrieves Subscription

Retrieves Subscription by id.

Request
URI
GET
https://vcfa-10-162-161-9.vcfd.broadcom.net/event-broker/api/subscriptions/{id}
COPY
Path Parameters
string
id
Required

the id of Subscription


Authentication
This operation uses the following authentication methods.
Responses
200

'Success' with the Subscription

Returns Subscription of type(s) application/json
{
    "id": "string",
    "type": "string",
    "eventTopicId": "string",
    "name": "string",
    "orgId": "string",
    "ownerId": "string",
    "subscriberId": "string",
    "blocking": false,
    "description": "string",
    "criteria": "string",
    "constraints": {
        "constraints": {}
    },
    "timeout": 0,
    "messageTTL": 0,
    "requeueDelay": 0,
    "broadcast": false,
    "priority": 0,
    "disabled": false,
    "system": false,
    "contextual": false
}
string
id
Optional
Constraints: minLength: 0 maxLength: 255

id

string
type
Optional

Type of the subscriptions.

string
eventTopicId
Required
Constraints: minLength: 0 maxLength: 150

eventTopicId

string
name
Optional
Constraints: minLength: 0 maxLength: 255

name

string
orgId
Optional
Constraints: minLength: 0 maxLength: 255

orgId

string
ownerId
Optional
Constraints: minLength: 0 maxLength: 255

The user that created the subscription.

string
subscriberId
Optional
Constraints: minLength: 0 maxLength: 255

The identification of the user that is allowed to listen for events.

boolean
blocking
Optional

Indicates whether the subscription will trigger the blocking event flow.

string
description
Optional
Constraints: minLength: 0 maxLength: 2000

description

string
criteria
Optional

Create a javascript syntax boolean expression using the 'event' object and its properties. Use 'event.data' to access the event's payload (data) according to the specified topic schema, or any of the event's header properties: timeStamp, orgId etc.

object
constraints
Optional

constraints

integer As int32 As int32
timeout
Optional
Constraints: minimum: 0

Maximum time to process event (in minutes). Applicable for blocking subscriptions only.

integer As int64 As int64
messageTTL
Optional

TTL period in milliseconds.

integer As int64 As int64
requeueDelay
Optional

requeueDelay

boolean
broadcast
Optional

broadcast

integer As int32 As int32
priority
Optional
Constraints: minimum: 0

Defines the priority to consider when determining the notification order in case of many subscribers to same topic. 0 means highest priority.

boolean
disabled
Optional

Indicates whether the subscription is disabled.

boolean
system
Optional

system

boolean
contextual
Optional

contextual


404

'Not found' if no Subscription with provided id

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/event-broker/api/subscriptions/{id}